Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface Citation

    @Profile(level=CORE)
    @UML(identifier="CI_Citation",
         specification=ISO_19115)
    public interface Citation

Standardized resource reference.

Since:
  GeoAPI 1.0

Method Summary
`Collection<? extends InternationalString>` | `getAlternateTitles()` Short name or other language name by which the cited information is known.
`Collection<? extends ResponsibleParty>` | `getCitedResponsibleParties()` Name and position information for an individual or organization that is responsible for the resource.
`InternationalString` | `getCollectiveTitle()` Common title with holdings note.
`Collection<? extends CitationDate>` | `getDates()` Reference date for the cited resource.
`InternationalString` | `getEdition()` Version of the cited resource.
`Date` | `getEditionDate()` Date of the edition, or `null` if none.
`Collection<? extends Identifier>` | `getIdentifiers()` Unique identifier for the resource.
`Collection<String>` | `getIdentifierTypes()` Deprecated. removed from ISO_19115
`String` | `getISBN()` International Standard Book Number, or `null` if none.
`String` | `getISSN()` International Standard Serial Number, or `null` if none.
`InternationalString` | `getOtherCitationDetails()` Other information required to complete the citation that is not recorded elsewhere.
`Collection<PresentationForm>` | `getPresentationForm()` Mode in which the resource is represented, or an empty string if none.
`Series` | `getSeries()` Information about the series, or aggregate dataset, of which the dataset is a part.
`InternationalString` | `getTitle()` Name by which the cited resource is known.

Method Detail

### getTitle

    @Profile(level=CORE)
    @UML(identifier="title",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getTitle()

  Name by which the cited resource is known.

### getAlternateTitles

    @UML(identifier="alternateTitle",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getAlternateTitles()

  Short name or other language name by which the cited information is known. Example: "DCW" as an alternative title for "Digital Chart of the World".

### getDates

    @Profile(level=CORE)
    @UML(identifier="date",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends CitationDate> getDates()

  Reference date for the cited resource.

### getEdition

    @UML(identifier="edition",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getEdition()

  Version of the cited resource.

### getEditionDate

    @UML(identifier="editionDate",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Date getEditionDate()

  Date of the edition, or `null` if none.

### getIdentifiers

    @UML(identifier="identifier",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Identifier> getIdentifiers()

  Unique identifier for the resource. Example: Universal Product Code (UPC), National Stock Number (NSN).

### getIdentifierTypes

    @UML(identifier="identifierType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getIdentifierTypes()

  Deprecated. removed from ISO_19115

  Reference form of the unique identifier (ID). Example: Universal Product Code (UPC), National Stock Number (NSN).

### getCitedResponsibleParties

    @UML(identifier="citedResponsibleParty",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getCitedResponsibleParties()

  Name and position information for an individual or organization that is responsible for the resource. Returns an empty string if there is none.

### getPresentationForm

    @UML(identifier="presentationForm",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<PresentationForm> getPresentationForm()

  Mode in which the resource is represented, or an empty string if none.

### getSeries

    @UML(identifier="series",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Series getSeries()

  Information about the series, or aggregate dataset, of which the dataset is a part. Returns `null` if none.

### getOtherCitationDetails

    @UML(identifier="otherCitationDetails",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getOtherCitationDetails()

  Other information required to complete the citation that is not recorded elsewhere. Returns `null` if none.

### getCollectiveTitle

    @UML(identifier="collectiveTitle",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getCollectiveTitle()

  Common title with holdings note. Note: title identifies elements of a series collectively, combined with information about what volumes are available at the source cited. Returns `null` if there is no title.

### getISBN

    @UML(identifier="ISBN",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getISBN()

  International Standard Book Number, or `null` if none.

### getISSN

    @UML(identifier="ISSN",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getISSN()

  International Standard Serial Number, or `null` if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.